logLik {base} | R Documentation

## Extract Log-Likelihood

### Description

This function is generic; method functions can be written to handle specific classes of objects. Classes which already have methods for this function include: `lm`, `nls` in package nls, and `gls`, `lme` and others in package nlme.

### Usage

    logLik(object, ...)

    as.data.frame(x, row.names = NULL, optional = FALSE)

### Arguments

`object` | any object from which a log-likelihood value, or a contribution to a log-likelihood value, can be extracted.
`...` | some methods for this generic function require additional arguments.
`x` | an object of class `logLik`.
`row.names, optional` | arguments to the `as.data.frame` method; see its documentation.

### Value

Returns an object, say `r`, of class `logLik` which is a number with attributes, `attr(r, "df")` (degrees of freedom) giving the number of parameters in the model. There's a simple `print` method for `logLik` objects.
The details depend on the method function used; see the appropriate documentation.

### Author(s)

Jose Pinheiro and Douglas Bates

### See Also

`logLik.lm`, `logLik.nls`, `logLik.gls`, `logLik.lme`, etc.

### Examples

    ## see the method function documentation
    x <- 1:5
    lmx <- lm(x ~ 1)
    logLik(lmx) # using print.logLik() method
    str(logLik(lmx))

[Package Contents]